import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:mohem_flutter_app/config/routes.dart';
import 'package:mohem_flutter_app/ui/landing/widget/drawer_item.dart';
import 'package:provider/provider.dart';

class AppDrawer extends StatefulWidget {
  @override
  _AppDrawerState createState() => _AppDrawerState();
}

class _AppDrawerState extends State<AppDrawer> {
  @override
  Widget build(BuildContext context) {
    return Container(
        color: Colors.white,
        child: Drawer(
            child: Column(children: <Widget>[
          const SizedBox(
            height: 200,
          ),
          Expanded(
              child: ListView(padding: const EdgeInsets.all(21), physics: const BouncingScrollPhysics(), children: [
            Divider(),
            InkWell(
                child: DrawerItem(
                  'My Profile',
                  icon: Icons.person,
                  color: Colors.grey,
                ),
                onTap: () {
                  drawerNavigator(context, AppRoutes.profile);
                })
          ]))
        ])));
  }

  drawerNavigator(context, routeName) {
    Navigator.of(context).pushNamed(routeName);
  }
}

String capitalizeOnlyFirstLater(String text) {
  if (text.trim().isEmpty) return "";

  return "${text[0].toUpperCase()}${text.substring(1)}";
}
